
QGIS Application - Bug report #20054

regression: console flooded with QSql* warnings when rendering XYZ layers (https connection)

2018-10-09 06:11 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Authentication system

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27876

Description

Not sure when this started happening, just noticed the messages today. When rendering a XYZ layer with an https connection (for e.g., 

https://tile.openstreetmap.org/{z}/{x}/{y}.png), QGIS' console gets flooded with the following warning messages:

WARNING    QSqlDatabasePrivate::database: requested database does not belong to the calling thread.

WARNING    QSqlQuery::prepare: database not open

Associated revisions

Revision 69dab87d - 2018-10-10 09:47 AM - Mathieu Pellerin - nIRV

[auth] don't share config db connection across threads

(fixes #20054)

History

#1 - 2018-10-09 11:14 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Status changed from Open to Feedback

is "authentication system" the correct category here?

#2 - 2018-10-10 09:41 AM - Alessandro Pasotti

- Assignee changed from Larry Shaffer to Alessandro Pasotti

- Status changed from Feedback to In Progress

Yes, it comes from the auth system and there is a PR: https://github.com/qgis/QGIS/pull/8149 (I wonder why this ticket was not updated accordingly).

#3 - 2018-10-10 09:42 AM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

#4 - 2018-10-10 09:47 AM - Mathieu Pellerin - nIRV

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
Applied in changeset commit:qgis|69dab87d4a254bca9c3b22ae0dc07af3f22c6a1a.
